'
' use 2 COGs to blink 2 LEDs
'

' the two LEDs we will blink (declared as constants)
const LED1 = 56
const LED2 = 57

' some space for the other COG's stack
dim cpustack(32) as integer

' this is the blink subroutine
'   pin is the pin to blink
'   naptime is the time to wait between transitions
' both parameters default to integer type

sub blinker(pin, naptime)
  direction(pin) = output
  do
    output(pin) = 1
    pausems naptime
    output(pin) = 0
    pausems naptime
  loop
end sub

' launch the blinker for LED1 in another COG
' "500" is the milliseconds to wait
' "@cpustack(0)" is the start of memory to use for stack
var x = cpu(blinker(LED1, 500), @cpustack(0))

'' blink LED2 slightly faster
blinker(LED2, 400)
